<h2 matDialogTitle class="dialog-title">
    <span>Edit server name</span>
    <span class="horizontal-spacer"></span>
</h2>
<mat-dialog-content>
    <mat-card-subtitle class="mb-1">Server UUID: {{server.serveruuid}}</mat-card-subtitle>
    <mat-form-field>
        <mat-label>Server name</mat-label>
        <input matInput type="text" [formControl]="serverName">
    </mat-form-field>
    <p>Note: Gateway restart or reconnection of server required for changes to become visible.</p>
</mat-dialog-content>
<mat-dialog-actions align="end">
    <button mat-raised-button color="primary" (click)="changeServerName()">Ok</button>
    <button mat-raised-button mat-dialog-close>Cancel</button>
</mat-dialog-actions>